
#include "config.h"

#if USE_FOST02

#define  FOST02_PORT      PORTB
#define  FOST02_PIN       PINB
#define  FOST02_DDR       DDRB

#define  FOST02_CLK       PB4
#define  FOST02_DATA      PB0

#define  SOFT_RESET       0x1E
#define  STATUS_READ      0x07
#define  STATUS_WRITE     0x06    

#define  TEMPERATUR_READ  0x03
#define  FEUCHTE_READ     0x05

void fost02_init(void);
void fost02_reset(void);
uint8_t fost02_read_status(void);
void fost02_read(void);

#endif
