
/* wenn ein FOST02 oder SHT11 angeschlossen ist, wird SDI als open Drain mit externem PullUp benutzt.
   die Umschaltung erfolgt dann nur ber das Richtungsregister */

#if USE_TINY_TEST

#define  RFM02_CS        PB3            // AVR MOSI     Khlschrank-Sensor!!!
#define  RFM02_SDI       PB1            // AVR MISO
#define  RFM02_SCK       PB2            // AVR SCK
#define  RFM02_IRQ       PB4

#else

#define  RFM02_CS        PB1            // AVR MOSI
#define  RFM02_SDI       PB0            // AVR MISO
#define  RFM02_SCK       PB2            // AVR SCK
#define  RFM02_IRQ       PB3

#endif

#define  RFM02_DDR       DDRB
#define  RFM02_PORT      PORTB
#define  RFM02_PIN       PINB

extern char buffer[PAKET_LEN];

void rfm02_init();
uint8_t rfm02_check_batt();
void rfm02_send_data(void);

